summaryrefslogtreecommitdiff
path: root/testing.sh
diff options
context:
space:
mode:
authorkdx <kikoodx@paranoici.org>2023-06-12 12:12:58 +0200
committerkdx <kikoodx@paranoici.org>2023-06-12 12:12:58 +0200
commitacb633cc836a3068b597c89d4f160c5ab6e22fa7 (patch)
tree4a7048ae886e69c47cfc48a7fbc31fa61b41b906 /testing.sh
parent07fe6662c369f85c4fa8c0d4a002bd42258851f0 (diff)
downloadgolem-acb633cc836a3068b597c89d4f160c5ab6e22fa7.tar.gz
build.sh alternative to tup
Diffstat (limited to 'testing.sh')
-rwxr-xr-xtesting.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/testing.sh b/testing.sh
index 98b8377..532d054 100755
--- a/testing.sh
+++ b/testing.sh
@@ -12,7 +12,7 @@ function test() {
[ "$QUIET" != "-q" ] && echo ""
}
-tup -q || exit 1
+tup -q || ./build.sh || exit 1
test "$1" "main(){5 + 2; return 4;}"
test "$1" "main(){6 + 3;}"
test "$1" "main(){'a' - 'b';}"